summaryrefslogtreecommitdiff
path: root/build_r-base.sh
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2009-07-06 21:45:30 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2009-07-06 21:45:30 +0000
commit21f32aff61eca7e79b76f9cbccae28efa66d369e (patch)
tree91e653116787054a34b70f07a70fbffdfcedfbc7 /build_r-base.sh
parent57dee9ba2a595485609c96e4f4c0093614c648a8 (diff)
Rewrite of backporting scripts for exclusive use of pdebuild,
getting rid of schroot git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@56 f247ebf9-aa24-0410-a698-f940e971ad2b
Diffstat (limited to 'build_r-base.sh')
-rw-r--r--build_r-base.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/build_r-base.sh b/build_r-base.sh
new file mode 100644
index 0000000..f78ef50
--- /dev/null
+++ b/build_r-base.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Script to automate building r-base binaries for CRAN
+
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+# Preconditions: - shell variables DIST and ARCH
+# - CRAN sources in /etc/apt/sources/list
+
+echo Distribution is $DIST
+echo Architecture is $ARCH
+
+apt-get update
+apt-get source -t $DIST-cran r-base
+
+cd r-base-*
+
+pbuilder update
+pdebuild --debbuildopts '-b' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /exthd/pbuilder/$DIST-$ARCH/aptcache --buildplace /exthd/pbuilder/$DIST-$ARCH/build
+if [ $? -ne 0 ]; then
+ exit
+fi
+
+cd ..

Contact - Imprint